Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573836 - [v2v] Getting error "Fault reason is "Operation Failed". Fault detail is "[Desktop does not exist]". HTTP response code is 400" while migrating a VM from VMware to RHV.
Summary: [v2v] Getting error "Fault reason is "Operation Failed". Fault detail is "[De...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Martin Perina
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 10:52 UTC by Imaan
Modified: 2019-04-24 13:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-29 09:59:19 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)

Description Imaan 2018-05-02 10:52:32 UTC
Description of problem:

While migrating a VM from VMware to RHV, getting the following error :

Fault reason is "Operation Failed". Fault detail is "[Desktop does not exist]". HTTP response code is 400.

Version-Release number of selected component (if applicable):

5.9.1.2.20180321221247_67fd99d

How reproducible:

Always

Steps to Reproduce:

1. Add RHV (4.1) and VMware infrastructure provider.

2. Select any VM which is powered off from VMware. 

3.  Click on Lifecycle -> Transform this VM to RHV

Actual results:

Fault reason is "Operation Failed". Fault detail is "[Desktop does not exist]". HTTP response code is 400.

Expected results:

It should be completed successfully.

Additional info: evm.log

[----] E, [2018-05-02T02:48:32.391623 #32084:483118] ERROR -- : MIQ(MiqQueue#deliver) Message id: [36000002046354], Error: [Fault reason is "Operation Failed". Fault detail is "[Desktop does not exist]". HTTP response code is 400.]
[----] E, [2018-05-02T02:48:32.391931 #32084:483118] ERROR -- : [OvirtSDK4::Error]: Fault reason is "Operation Failed". Fault detail is "[Desktop does not exist]". HTTP response code is 400.  Method:[block in method_missing]
[----] E, [2018-05-02T02:48:32.392360 #32084:483118] ERROR -- : /opt/rh/rh-ruby23/root/usr/share/gems/gems/ovirt-engine-sdk-4.2.1/lib/ovirtsdk4/connection.rb:385:in `raise_error'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/ovirt-engine-sdk-4.2.1/lib/ovirtsdk4/service.rb:100:in `check_fault'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/ovirt-engine-sdk-4.2.1/lib/ovirtsdk4/service.rb:248:in `block in internal_add'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/ovirt-engine-sdk-4.2.1/lib/ovirtsdk4/service.rb:46:in `wait'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/ovirt-engine-sdk-4.2.1/lib/ovirtsdk4/service.rb:251:in `internal_add'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/ovirt-engine-sdk-4.2.1/lib/ovirtsdk4/services.rb:9247:in `add'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-ovirt-bf9a9b838244/app/models/manageiq/providers/redhat/infra_manager/vm_import.rb:105:in `block in perform_vmware_to_ovirt_import'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-ovirt-bf9a9b838244/app/models/manageiq/providers/redhat/infra_manager/api_integration.rb:99:in `with_provider_connection'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-ovirt-bf9a9b838244/app/models/manageiq/providers/redhat/infra_manager/vm_import.rb:104:in `perform_vmware_to_ovirt_import'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-ovirt-bf9a9b838244/app/models/manageiq/providers/redhat/infra_manager/vm_import.rb:22:in `import_vm'
/var/www/miq/vmdb/app/models/miq_queue.rb:449:in `block in dispatch_method'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:91:in `block in timeout'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `block in catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:106:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:448:in `dispatch_method'
/var/www/miq/vmdb/app/models/miq_queue.rb:425:in `block in deliver'
/var/www/miq/vmdb/app/models/user.rb:261:in `with_user_group'
/var/www/miq/vmdb/app/models/miq_queue.rb:425:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:104:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:134:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:152:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:146:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:146:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:329:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:326:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:326:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:153:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:127:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:22:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:375:in `block in start_runner_via_fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:373:in `start_runner_via_fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:367:in `start_runner'
/var/www/miq/vmdb/app/models/miq_worker.rb:414:in `start'
/var/www/miq/vmdb/app/models/miq_worker.rb:266:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:153:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_worker.rb:153:in `times'
/var/www/miq/vmdb/app/models/miq_worker.rb:153:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:53:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `each'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server.rb:141:in `start'
/var/www/miq/vmdb/app/models/miq_server.rb:233:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:27:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:48:in `start'
/var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'
[----] I, [2018-05-02T02:48:32.392561 #32084:483118]  INFO -- : MIQ(MiqQueue#delivered) Message id: [36000002046354], State: [error], Delivered in [13.225500136] seconds
[----] I, [2018-05-02T02:48:32.409394 #32084:483118]  INFO -- : MIQ(MiqQueue#m_callback) Message id: [36000002046354], Invoking Callback with args: ["Finished", "error", "Fault reason is \"Operation Failed\". Fault detail is \"[Desktop does not exist]\". HTTP response code is 400.", "nil"]
[----] I, [2018-05-02T02:48:32.409697 #32084:483118]  INFO -- : MIQ(MiqTask#update_status) Task: [36000000003103] [Finished] [Error] [Fault reason is "Operation Failed". Fault detail is "[Desktop does not exist]". HTTP response code is 400.]

Comment 3 Ilanit Stein 2018-05-17 12:01:50 UTC
Tested on CFME-5.9.2.1/RHV-4.2.3.5-0.1.el7

Managed to import RHEL-7 & Windows 8 VMs successfuly.

However the RHEL-7 VM Automate request continued to wait for VM import completion, a very long time after the VM import ended up successfully.
Filed this bug for it:
Bug 1579329 - [v2v] In some cases, Transform a single VM from VMware to RHV is finished, but the Automate request continue to wait for the VM import completion.

It might be that in the bug detailed in the bug description there are other conditions, that cause the VM import to fail on "[Desktop does not exist]".

Comment 4 Moran Goldboim 2018-07-29 09:59:19 UTC
This function is deprecated in favor of the new Infrastructure Migration Solution.


Note You need to log in before you can comment on or make changes to this bug.